## manila 2.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=1.6 # Apache-2.0

alembic>=0.8.0 # MIT
Babel>=1.3 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
iso8601>=0.1.9 # MIT
lxml>=2.3 # BSD
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
paramiko>=1.16.0 # LGPL
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pylxd>=0.19.0 # Apache-2.0
python-neutronclient>=2.6.0 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.5.0 # Apache-2.0
python-cinderclient>=1.3.1 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
manila (1:2.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/doc-conf-git.patch: Rebased.
  * d/p/fix-pylxd-import.patch: Fix import of pylxd.exceptions.
  * d/control, d/manila-data.*: Add init/install files for new data service.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Mar 2016 16:37:36 -0500

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-bashate (>= 0.2),
                     python-cinderclient (>= 1:1.3.1),
                     python-coverage (>= 3.6),
                     python-ddt (>= 1.0.1),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.10.2),
                     python-iso8601 (>= 0.1.9),
                     python-keystonemiddleware (>= 4.0.0),
                     python-lxml (>= 2.3),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-testr (>= 0.4.1),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 1.13.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-psycopg2 (>= 2.5),
                     python-pylxd (>= 0.19.0),
                     python-pymysql (>= 0.6.2),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.6.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-subunit (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila

Package: python-manila
Section: python
Architecture: all
Depends: python-babel (>= 1.3),
         python-cinderclient (>= 1:1.3.1),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-iso8601 (>= 0.1.9),
         python-keystonemiddleware (>= 4.0.0),
         python-lxml (>= 2.3),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-paramiko (>= 1.13.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pylxd (>= 0.19.0),
         python-requests (>= 2.8.1),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Description: Manila Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Python library for Manila.

Package: manila-common
Architecture: all
Depends: adduser,
         python-manila (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: Manila storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains commons components for Manila.

Package: manila-api
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem storage service.
 .
 This package contains the Manila API server.

Package: manila-scheduler
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Scheduler server

Package: manila-data
Architecture: all
Depends: manila-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

## manila 2.0.0~rc1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXSOURCE 	= source
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SPHINXSOURCE)

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

.DEFAULT_GOAL 	= html

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf manila.sqlite
	if [ -f .autogenerated ] ; then \
        cat .autogenerated | xargs rm ; \
        rm .autogenerated ; \
    fi

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/manila.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/manila.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
manila (1:2.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-pylxd-import.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 09:06:28 -0400

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.2),
                      python-iso8601 (>= 0.1.9),
+                     python-keystoneauth1 (>= 2.1.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 1.2),
@@ -73,7 +74,7 @@
          python-cinderclient (>= 1:1.3.1),
          python-eventlet (>= 0.18.2),
          python-greenlet (>= 0.3.2),
-         python-iso8601 (>= 0.1.9),
+         python-keystoneauth1 (>= 2.1.0),
          python-keystonemiddleware (>= 4.0.0),
          python-lxml (>= 2.3),
          python-netaddr (>= 0.7.12),

## manila 2.0.0

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Babel>=1.3 # BSD
 eventlet!=0.18.3,>=0.18.2 # MIT
 greenlet>=0.3.2 # MIT
-iso8601>=0.1.9 # MIT
 lxml>=2.3 # BSD
 netaddr!=0.7.16,>=0.7.12 # BSD
 oslo.config>=3.7.0 # Apache-2.0
@@ -28,8 +27,8 @@
 paramiko>=1.16.0 # LGPL
 Paste # MIT
 PasteDeploy>=1.5.0 # MIT
-pylxd>=0.19.0 # Apache-2.0
-python-neutronclient>=2.6.0 # Apache-2.0
+python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
+keystoneauth1>=2.1.0 # Apache-2.0
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== debian/changelog ===
manila (1:2.0.0-0ubuntu1) xenial; urgency=medium

  [ David Della Vecchia ]
  * d/control,manila-share.init.in: Add missing manila-share binary package
    and associated init configuration (LP: #1546116).

  [ James Page ]
  * Final upstream release for OpenStack Mitaka.

 -- David Della Vecchia <ddv@canonical.com>  Thu, 07 Apr 2016 15:53:26 +0100

=== debian/control ===
--- 
+++ 
@@ -178,3 +178,18 @@
  Manila is the OpenStack shared filesystem service.
  .
  This package contains the Manila Data service.
+
+Package: manila-share
+Architecture: all
+Depends: manila-common (= ${binary:Version}),
+         ${misc:Depends},
+         ${python:Depends},
+Description: Manila storage service - Share service
+ OpenStack is a reliable cloud infrastructure. Its mission is to produce
+ the ubiquitous cloud computing platform that will meet the needs of public
+ and private cloud providers regardless of size, by being simple to implement
+ and massively scalable.
+ .
+ Manila is the OpenStack shared filesystem service.
+ .
+ This package contains the Manila Share service.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_auto_build:
	dh_auto_build
	oslo-config-generator --config-file etc/oslo-config-generator/manila.conf \
		--output-file etc/manila/manila.conf

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init
	rm -rf .eggs

override_dh_install:
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/manila manila-(\d.*)\.tar.gz

## manila 3.0.0~b1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr>=1.6 # Apache-2.0

alembic>=0.8.4 # MIT
Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
lxml>=2.3 # BSD
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.config>=3.9.0 # Apache-2.0
oslo.context>=2.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=4.5.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.9.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
paramiko>=2.0 # LGPL
Paste # MIT
PasteDeploy>=1.5.0 # MIT
python-neutronclient>=4.2.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.10.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
WebOb>=1.2.3 # MIT

=== debian/changelog ===
manila (1:3.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Dropped, no longer required.

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)Depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 06 Jun 2016 11:09:58 -0400

=== debian/control ===
--- 
+++ 
@@ -11,37 +11,37 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel (>= 1.3),
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-bashate (>= 0.2),
-                     python-cinderclient (>= 1:1.3.1),
+                     python-cinderclient (>= 1:1.6.0),
                      python-coverage (>= 3.6),
                      python-ddt (>= 1.0.1),
                      python-eventlet (>= 0.18.2),
                      python-fixtures (>= 1.3.1),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.2),
-                     python-iso8601 (>= 0.1.9),
+                     python-iso8601 (>= 0.1.11),
                      python-keystoneauth1 (>= 2.1.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 1.2),
                      python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 1:2.6.0),
+                     python-neutronclient (>= 1:4.2.0),
                      python-novaclient (>= 2:2.29.0),
-                     python-os-testr (>= 0.4.1),
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-os-testr (>= 0.7.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.9.0),
+                     python-oslo.context (>= 2.2.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.messaging (>= 4.5.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 0.5.0),
                      python-oslo.rootwrap (>= 2.0.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.9.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-paramiko (>= 1.13.0),
@@ -50,13 +50,13 @@
                      python-psycopg2 (>= 2.5),
                      python-pylxd (>= 0.19.0),
                      python-pymysql (>= 0.6.2),
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-requests-mock (>= 0.6.0),
                      python-retrying (>= 1.2.3),
                      python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.10.0),
                      python-subunit (>= 0.0.18),
                      python-testresources (>= 0.2.4),
                      python-testtools (>= 1.4.0),
@@ -70,40 +70,40 @@
 Package: python-manila
 Section: python
 Architecture: all
-Depends: python-babel (>= 1.3),
-         python-cinderclient (>= 1:1.3.1),
+Depends: python-babel (>= 2.3.4),
+         python-cinderclient (>= 1:1.6.0),
          python-eventlet (>= 0.18.2),
          python-greenlet (>= 0.3.2),
          python-keystoneauth1 (>= 2.1.0),
          python-keystonemiddleware (>= 4.0.0),
          python-lxml (>= 2.3),
          python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 1:2.6.0),
+         python-neutronclient (>= 1:4.2.0),
          python-novaclient (>= 2:2.29.0),
-         python-oslo.concurrency (>= 3.5.0),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.9.0),
+         python-oslo.context (>= 2.2.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 4.0.0),
+         python-oslo.messaging (>= 4.5.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 0.5.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.9.0),
          python-paramiko (>= 1.13.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
          python-pylxd (>= 0.19.0),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-retrying (>= 1.2.3),
          python-routes (>= 1.12.3),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-webob (>= 1.2.3),
          ${misc:Depends},
          ${python:Depends},

## manila 3.0.0~b2

=== requirements.txt ===
--- 
+++ 
@@ -11,24 +11,24 @@
 greenlet>=0.3.2 # MIT
 lxml>=2.3 # BSD
 netaddr!=0.7.16,>=0.7.12 # BSD
-oslo.config>=3.9.0 # Apache-2.0
-oslo.context>=2.2.0 # Apache-2.0
+oslo.config>=3.12.0 # Apache-2.0
+oslo.context>=2.4.0 # Apache-2.0
 oslo.db>=4.1.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
-oslo.messaging>=4.5.0 # Apache-2.0
+oslo.messaging>=5.2.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
-oslo.policy>=0.5.0 # Apache-2.0
+oslo.policy>=1.9.0 # Apache-2.0
 oslo.rootwrap>=2.0.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.service>=1.10.0 # Apache-2.0
-oslo.utils>=3.9.0 # Apache-2.0
+oslo.utils>=3.15.0 # Apache-2.0
 oslo.concurrency>=3.8.0 # Apache-2.0
-paramiko>=2.0 # LGPL
+paramiko>=2.0 # LGPLv2.1+
 Paste # MIT
 PasteDeploy>=1.5.0 # MIT
 python-neutronclient>=4.2.0 # Apache-2.0
-keystoneauth1>=2.1.0 # Apache-2.0
+keystoneauth1>=2.7.0 # Apache-2.0
 keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
 requests>=2.10.0 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== debian/changelog ===
manila (1:3.0.0~b2-0ubuntu1) yakkety; urgency=medium

  * New upstream milestone for OpenStack Newton.
  * d/control: Align (build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 Jul 2016 07:52:37 -0400

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,11 @@
                      python-coverage (>= 3.6),
                      python-ddt (>= 1.0.1),
                      python-eventlet (>= 0.18.2),
-                     python-fixtures (>= 1.3.1),
+                     python-fixtures (>= 3.0.0),
                      python-greenlet (>= 0.3.2),
                      python-hacking (>= 0.10.2),
                      python-iso8601 (>= 0.1.11),
-                     python-keystoneauth1 (>= 2.1.0),
+                     python-keystoneauth1 (>= 2.7.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 1.2),
@@ -30,28 +30,28 @@
                      python-novaclient (>= 2:2.29.0),
                      python-os-testr (>= 0.7.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.9.0),
-                     python-oslo.context (>= 2.2.0),
+                     python-oslo.config (>= 1:3.12.0),
+                     python-oslo.context (>= 2.4.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.5.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 0.5.0),
+                     python-oslo.policy (>= 1.9.0),
                      python-oslo.rootwrap (>= 2.0.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.9.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
-                     python-paramiko (>= 1.13.0),
+                     python-paramiko (>= 2.0),
                      python-paste,
                      python-pastedeploy (>= 1.5.0),
                      python-psycopg2 (>= 2.5),
                      python-pylxd (>= 0.19.0),
                      python-pymysql (>= 0.6.2),
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 0.6.0),
+                     python-requests-mock (>= 1.0),
                      python-retrying (>= 1.2.3),
                      python-routes (>= 1.12.3),
                      python-six (>= 1.9.0),
@@ -74,26 +74,26 @@
          python-cinderclient (>= 1:1.6.0),
          python-eventlet (>= 0.18.2),
          python-greenlet (>= 0.3.2),
-         python-keystoneauth1 (>= 2.1.0),
+         python-keystoneauth1 (>= 2.7.0),
          python-keystonemiddleware (>= 4.0.0),
          python-lxml (>= 2.3),
          python-netaddr (>= 0.7.12),
          python-neutronclient (>= 1:4.2.0),
          python-novaclient (>= 2:2.29.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.9.0),
-         python-oslo.context (>= 2.2.0),
+         python-oslo.config (>= 1:3.12.0),
+         python-oslo.context (>= 2.4.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 4.5.0),
+         python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 0.5.0),
+         python-oslo.policy (>= 1.9.0),
          python-oslo.rootwrap (>= 2.0.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.9.0),
-         python-paramiko (>= 1.13.0),
+         python-oslo.utils (>= 3.15.0),
+         python-paramiko (>= 2.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
          python-pbr (>= 1.8),
